Skip to main content
GET
/
v1
/
loans
/
{applicationId}
/
guarantor
Get Guarantors
curl --request GET \
  --url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/{applicationId}/guarantor \
  --header 'apikey: <api-key>' \
  --header 'x-carbon-key: <x-carbon-key>'
{
  "status": "success",
  "data": [
    {
      "id": 1,
      "first_name": "John",
      "last_name": "Doe",
      "phone": "08012345678",
      "email": "guarantor@example.com"
    }
  ]
}

Overview

Returns all guarantors associated with the loan offer for a given application.

Request

Method: GET
URL: /v1/loans/:applicationId/guarantor

Parameters

NameInTypeRequiredDescription
x-carbon-keyHeaderstringYesAPI key for authentication.
applicationIdPathstringYesApplication ID.

Response

200 OK

{
  "status": "success",
  "data": [
    {
      "id": 7,
      "firstName": "Bola",
      "lastName": "Akin",
      "emailAddress": "bola.akin@example.com",
      "phoneNumber": "08099887766",
      "clientPath": "https://app.carbon.ng/guarantor",
      "loanOfferId": 42,
      "tokenExpiresAt": "2025-01-22T10:00:00.000Z",
      "inviteSentAt": "2025-01-15T11:00:00.000Z",
      "submittedAt": null
    }
  ]
}

Error Responses

StatusMessageCause
400Application not foundInvalid applicationId
422Application has no loan IDApplication not yet registered

Authorizations

apikey
string
header
required

Provide your API key in the 'apikey' header.

Headers

x-carbon-key
string
required

Path Parameters

applicationId
string
required

Response

200 - application/json

Successful response

The response is of type object.